<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "practice_latlong_history".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "PracticeLatlongHistory".
 *
 * Columns in table "practice_latlong_history" available as properties of the model,
 * followed by relations of table "practice_latlong_history" available as properties of the model.
 *
 * @property integer $id
 * @property integer $practice_id
 * @property string $address_full
 * @property string $address
 * @property string $address_2
 * @property integer $location_id
 * @property double $latitude
 * @property double $longitude
 *
 */
abstract class BasePracticeLatlongHistory extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'practice_latlong_history';
    }

    public function rules()
    {
        return array(
            array('practice_id', 'required'),
            array('practice_id, location_id, latitude, longitude', 'numerical'),
            array('date_added', 'safe'),
            array('address_full, address, address_2, location_id, latitude, longitude, date_added', 'default',
                'setOnEmpty' => true, 'value' => null),
            array('id, practice_id, address_full, address, address_2, location_id, latitude, longitude, date_added',
                'safe', 'on' => 'search'),
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'practice_id' => Yii::t('app', 'Practice'),
            'address_full' => Yii::t('app', 'Address Full'),
            'address' => Yii::t('app', 'Address'),
            'address_2' => Yii::t('app', 'Address_2'),
            'date_added' => Yii::t('app', 'Date Added'),
            'location_id' => Yii::t('app', 'Location ID'),
            'latitude' => Yii::t('app', 'Latitude'),
            'longitude' => Yii::t('app', 'Longitude'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('practice_id', $this->practice_id);
        $criteria->compare('address_full', $this->address_full, true);
        $criteria->compare('address', $this->address);
        $criteria->compare('address_2', $this->address_2);
        $criteria->compare('date_added', $this->date_added, true);
        $criteria->compare('location_id', $this->location_id, true);
        $criteria->compare('latitude', $this->latitude);
        $criteria->compare('longitude', $this->longitude, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
